/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package medicinemix

import (
	e "simrs-vx/internal/domain/main-entities/medicine-mix"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.MedicineMix) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Name = inputSrc.Name
	data.Uom_Code = inputSrc.Uom_Code
}
